Bug 189572 - System hangs at boot because volume group for uuid not found
System hangs at boot because volume group for uuid not found
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 04:45 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 10:20:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-04-21 04:45:10 EDT
Description of problem:
Volume group for uuid not found at boot. Consequently, the file
system cannot be mounted leading the kernel to panic.

Version-Release number of selected component (if applicable):
2.6.16-1.2147_FC6

How reproducible:
Always.

Steps to Reproduce:
1. Boot system.
  
Actual results:
System hangs when trying to mount the file system. First message
issued is "Volume group for uuid not found". Further error messages
are spawned until the kernel panics and the system hangs.

Expected results:
System should boot cleanly.

Additional info:
Happened first for version 2.6.16-1.2141_FC6 but still present
for current rawhide kernel. Booting kernel 2.6.16-1.2136_FC6
lets the system boot cleanly.
Comment 1 Dave Jones 2006-04-21 19:32:04 EDT
downgrading to the devicemapper & lvm2 from FC5 and rebuilding the initrd (or
reinstalling the kernel) makes this go away.
Comment 2 Joachim Frieben 2006-04-22 09:37:29 EDT
Maybe downgrading both packages in rawhide would be a suitable measure,
right? As a matter of fact, "Volume group for uuid not found" is even
issued for 2.6.16-1.2136_FC6 and possibly earlier kernels, but at least,
the system does not hang afterwards.
Comment 3 Alasdair Kergon 2006-04-22 13:34:51 EDT
I fixed this yesterday - only the lvm2 package is affected though you may need to regenerate initrd if it 
picked up a problematic lvm.static.  Unfortunately the build system had a long queue and it wasn't 
possible to get a replacement package built yesterday:-(
Comment 5 Alasdair Kergon 2006-04-22 14:22:32 EDT
OK, the package is now rebuilt except for s390/s390x.

lvm2-2.02.05-1.1
Comment 6 Joseph Sacco 2006-04-23 12:07:10 EDT
System: PowerMac G4 with dual 533MHZ CPU's, SCSI drives
=========================================================================
The problem persists after updating both lvm2 and device-mapper [22apr06]. 

As reported earlier the problem began when 2.6.16-1.2141_FC6 was released. I am
wondering if some other package that used when building a kernel is the real
culprit. Consider the following:

(1) 09Apr06: build a kernel locally
[2.6.15.6 9 (Tumbler-based sound works)]
==> all is well

(2) 19Apr06: build a different version kernel locally
[2.6.17-rc1-git13 (Tumbler-based sound does not work)]
==> all is well

(3) 20-21apr06: update kernels 2.6.16-1.2141_FC6, 2.6.16-1.2147_FC6
==> fail to boot

     * Volume group for uuid not found...

(4) 20-21Apr06: rebuild the 2.6.15.6 kernel using up to date rawhide env
==> kernel fails to boot

   * unable to find device-mapper major/minor
   * reading all pyhsical volumes. this may take some time
   * found volume group "VolGroup00" using metadata ...
   * /proc/misc: no entry for device-mapper found
                  ...

(4) 23apr06: rebuild the 2.6.15.6 kernel locally using up to date rawhide env
==> kernel fails to boot

-Joseph
Comment 7 Joseph Sacco 2006-04-23 12:15:37 EDT
Forgot to mention the relevant point...

The kernels built locally on 09Apr and 19Apr *still* work. I am running one now.

So... Whatever changed after 19Apr effects the static contents of vmlinux or
some of its modules.

-Joseph
Comment 8 Joseph Sacco 2006-04-24 08:41:22 EDT
Updated rawhide this morning bumping the kernel to version 2.6.16-1.2153_FC6. 
The problem has "gone away".

-Joseph

Note You need to log in before you can comment on or make changes to this bug.